S_THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${S_THISDIR}/${PN}"], d)}:"

PRINC="22"

SRC_URI += "file://journald.conf \
            file://0001-Feature-switch-ListenDatagram-from-run-systemd-journ.patch \
            file://0001-RFC-fsck-Allow-to-specify-the-fsck-repair-option-in-.patch \
           "

SRC_URI_append_sysmobts-v1 = " file://system.conf"
SRC_URI_append_sysmobts-v2 = " file://system.conf"
SRC_URI_append_sysmobts-2050 = " file://system.conf"

# Disable depedency on dbus
RDEPENDS_${PN}_remove = "dbus"


# TODO: disable systemd-logind as it needs dbus
SYSTEMD_DISABLED_NATIVE_SERVICES = " \
  systemd-logind \
"

pkg_postinst_${PN}_append () {
        cd $D${sysconfdir}/init.d

        echo "Disabling the following native services: "

        OPTS=""

        if [ -n "$D" ]; then
                OPTS="--root=$D"
        fi

        for i in ${SYSTEMD_DISABLED_NATIVE_SERVICES} ; do
                if [ \( -e $i -o $i.sh \) -a ! -e $D${sysconfdir}/systemd/system/$i.service ] ; then
                        echo -n "$i: " ; systemctl ${OPTS} mask $i.service
                fi
        done ; echo

        # disable journald because its using to much cpu under stress logging
        systemctl ${OPTS} mask systemd-journald.socket
        systemctl ${OPTS} mask systemd-journald.service
        systemctl ${OPTS} mask systemd-journal-flush.service
}

pkg_postinst_${PN}_append_sysmobts-2050 () {
        cd $D${sysconfdir}/init.d

        echo "Disabling ttyS0 for sysmobts-2050:"

        OPTS=""

        if [ -n "$D" ]; then
                OPTS="--root=$D"
        fi

        systemctl ${OPTS} mask serial-getty@ttyS0.service
}

do_install_append() {
        install -m 0644 ${WORKDIR}/journald.conf ${D}${sysconfdir}/systemd/

        if [ -e ${WORKDIR}/system.conf ]; then
            install -m 0644 ${WORKDIR}/system.conf ${D}${sysconfdir}/systemd/
        fi
}
