SRC_URI = "git://git.sysmocom.de/barebox;protocol=git;branch=master"
SRCREV = "de2b004a2511c4aaeed64d0a9f5bf14d184d1560"
PR = "r2"

DEPENDS = "${PN}-mlo"
COMPATIBLE_MACHINE="sysmocom-odu"
S = "${WORKDIR}/git"

BAREBOX_IMAGE ?= "images/barebox-am33xx-phytec-phycore.img"
BAREBOX_IMAGE_OE ?= "barebox-${MACHINE}-${PV}-${PR}.img"
BAREBOX_IMAGE_SYMLINK ?= "barebox-${MACHINE}.img"

require barebox.inc

do_pre_configure() {
	   cp ${S}/arch/arm/configs/am335x_defconfig_odu ${S}/.config
	   oe_runmake oldconfig
}

do_deploy_append() {
	install ${S}/${BAREBOX_IMAGE} ${DEPLOY_DIR_IMAGE}/${BAREBOX_IMAGE_OE}

	cd ${DEPLOY_DIR_IMAGE}
	rm -f ${BAREBOX_IMAGE_SYMLINK}
	ln -sf ${BAREBOX_IMAGE_OE} ${BAREBOX_IMAGE_SYMLINK}
}
