DESCRIPTION = "Barebox - a bootloader that inherits the best of U-Boot and the Linux kernel"
HOMEPAGE = "http://www.barebox.org/"
SECTION = "bootloader"
PROVIDES ?= "virtual/bootloader"
PRIORITY = "optional"
LICENSE = "GPLv2"
DEPENDS += "lzop-native"
LIC_FILES_CHKSUM = "file://COPYING;md5=057bf9e50e1ca857d0eb97bfe4ba8e5d"

PACKAGE_ARCH = "${MACHINE_ARCH}"

inherit kernel-arch

EXTRA_OEMAKE = "CROSS_COMPILE=${TARGET_PREFIX}"

BAREBOX_BINARY ?= "barebox.bin"
BAREBOX_BINARY_OE ?= "barebox-${MACHINE}-${PV}-${PR}.bin"
BAREBOX_BINARY_SYMLINK ?= "barebox-${MACHINE}.bin"

INSANE_SKIP_${PN} = "True"

addtask pre_configure before do_configure after do_patch

do_compile () {
	unset LDFLAGS
	unset CFLAGS
	unset CPPFLAGS
	oe_runmake all
}

do_deploy () {
	install -d ${DEPLOY_DIR_IMAGE}
	install ${S}/${BAREBOX_BINARY} ${DEPLOY_DIR_IMAGE}/${BAREBOX_BINARY_OE}

	cd ${DEPLOY_DIR_IMAGE}
	rm -f ${BAREBOX_BINARY_SYMLINK}
	ln -sf ${BAREBOX_BINARY_OE} ${BAREBOX_BINARY_SYMLINK}

	install -d ${STAGING_BINDIR_NATIVE}
	cd ${S}
	install -m 755 scripts/mkimage ${STAGING_BINDIR_NATIVE}/
	install -m 755 scripts/bareboxenv ${STAGING_BINDIR_NATIVE}/
}

do_deploy[dirs] = "${S}"
addtask deploy before do_build after do_compile

