DESCRIPTION = "Osmocom PCU for sysmoBTS"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM="file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

SRC_URI = "git://git.osmocom.org/osmo-pcu.git;protocol=git;branch=sysmocom/master"
SRCREV = "f3405e5b0342362d5d592f013014847a4dc135d8"
PV = "0.4+git${SRCPV}"
PR = "r2.${META_TELEPHONY_OSMO_INC}"
S = "${WORKDIR}/git"

DEPENDS = "libosmocore femtobts-api osmo-bts"

# This implements PCU Interface v5 (GPRS RSSI)
RDEPENDS_${PN} = "osmo-bts (>= 0.4.0)"

EXTRA_OECONF_sysmobts-v2 += "--enable-sysmocom-bts --enable-sysmocom-dsp"

inherit autotools_stage

# Select the API version
inherit femtobts_api
CPPFLAGS += " ${BTS_HW_VERSION} "

do_install_append() {
        # Install systemd and enable on sysinit
        install -d ${D}${systemd_unitdir}/system/multi-user.target.wants/
        install -m 0644 ${S}/contrib/sysmopcu.service ${D}${systemd_unitdir}/system/
        ln -sf ../sysmopcu.service ${D}${systemd_unitdir}/system/multi-user.target.wants/
}

FILES_${PN} += "${systemd_unitdir}"
